Cheap VPS & Xen Server

Residential Proxy Network - Hourly & Monthly Packages

How to install libsocket++1 on Debian Unstable (Sid)


Install libsocket++1

Installing libsocket++1 package on Debian Unstable (Sid) is as easy as running the following command on terminal:

sudo apt-get update
sudo apt-get install libsocket++1

libsocket++1 package information

distro Debian Unstable (Sid)
section Main
name libsocket++1
version 1.12.13-8
description lightweight convenience library to handle low level BSD sockets in C++ – libs
subsection libs
website linuxhacker.at / socketxx
maintainer Debian Med Packaging Team

Uninstall libsocket++1

To remove just libsocket++1 package itself from Debian Unstable (Sid) execute on terminal:

sudo apt-get remove libsocket++1

Uninstall libsocket++1 and it’s dependent packages

To remove the libsocket++1 package and any other dependant package which are no longer needed from Debian Sid.

sudo apt-get remove --auto-remove libsocket++1

Purging libsocket++1

If you also want to delete configuration and/or data files of libsocket++1 from Debian Sid then this will work:

sudo apt-get purge libsocket++1

To delete configuration and/or data files of libsocket++1 and it’s dependencies from Debian Sid then execute:

sudo apt-get purge --auto-remove libsocket++1

 

Comments

comments